package	jp.co.sds_corp.hibiya.layout;

/**
* フォーマット文字列を解析します。
*/
public class EventFormatParser extends FormatParser
{
	/**
	* 指定されたフォーマット文字列でFormatParserを作成します。
	* @param	fmt		フォーマット文字列
	*/
	public EventFormatParser( String fmt ) {
		super( fmt );
	}

	/**
	* 指定されたコンバータを生成します。
	* @param	c		コンバータを指定する文字
	* @return	コンバータ
	*/
	protected IConverter createConverter( char c ) {
		String opt;
		IConverter conv = null;
		switch ( c ) {
		case 'd':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.NOW, opt );
			break;
		case 'o':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.OLD, opt );
			break;
		case 'n':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.NEW, opt );
			break;
		case 'e':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.EXCEPTION, opt );
			break;
		case 'm':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.MESSAGE, opt );
			break;
		case 'r':
			opt = getOption();
			conv = new EventConverter( EventConverter.Type.RESULT, opt );
			break;
		default:
			break;
		}
		return conv;
	}

}
